import {bootstrapApplication} from '@angular/platform-browser';
import {appConfig} from './app/app.config';
import {AppComponent} from './app/app.component';
import {environment} from "./environments/environment";
import {enableProdMode} from "@angular/core";

environment.apiUrl = `${window.location.protocol}//${window.location.host}`;

if (environment.production) {
    enableProdMode();
} else {
    environment.apiUrl += '8000';
}

bootstrapApplication(AppComponent, appConfig)
    .catch((err) => console.error(err));
